/*
 * Docs Dispatcher API - API document(s) generation
 * Docs.io API enables you to generate files (currently DOCx, XLSx, PPTx, PDF, HTML, JPG/PNG/SVG) from a template and JSON data. You can just download resulting file, send email with generated attachments or compose services.
 *
 * The version of the OpenAPI document: 3.1.1
 * Contact: tech@docs-dispatcher.io
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package io.docs_dispatcher.client.api;

import io.docs_dispatcher.client.ApiException;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for ApiStatusApi
 */
@Disabled
public class ApiStatusApiTest {

    private final ApiStatusApi api = new ApiStatusApi();

    /**
     * Get API liveness status. If 200, it is running
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void applicationLivenessTest() throws ApiException {
        Object response = api.applicationLiveness();
        // TODO: test validations
    }

}
